KDE 4.7 PyKDE API Reference

- KDE's Python API

# ItemUInt Class Reference

`from PyKDE4.kdecore import *`

Inherits: KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling an unsigned 32-bit integer preferences item.

## Methods
| __init__ (self, QString _group, QString _key, long reference, long defaultValue=0)
bool | isEqual (self, QVariant p)
QVariant | maxValue (self)
QVariant | minValue (self)
QVariant | property (self)
| readConfig (self, KConfig config)
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, long v)
| setMaxValue (self, long a0)
| setMinValue (self, long a0)
| setProperty (self, QVariant p)
| setValue (self, long v)
| swapDefault (self)
long | value (self)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | long | reference,
|  | long | defaultValue=0
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &) const

QVariant maxValue | ( |  | self ) |

ItemInt.maxValue()

QVariant minValue | ( |  | self ) |

ItemInt.minValue()

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property()

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | long | v
| ) |  |  |

setMaxValue | ( | self, |
|  | long | a0
| ) |  |  |

ItemInt.setMaxValue(qint32)

setMinValue | ( | self, |
|  | long | a0
| ) |  |  |

ItemInt.setMinValue(qint32)

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.setProperty(const QVariant&)

setValue | ( | self, |
|  | long | v
| ) |  |  |

swapDefault | ( |  | self ) |

long value | ( |  | self ) |

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |